<form method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=account_statement&action=configuration">

    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>

            <tr>
                <td class="fieldlabel">{$lang['Enabled']}</td>
                <td class="fieldarea">
                    <select name="enabled" class="form-control select-inline">
                        <option value="yes" {if $config['enabled'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['enabled'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$lang['Enable or disable all custom functions.']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['PDF Paper Size']}</td>
                <td class="fieldarea">
                    <select name="pdf_paper_size" class="form-control select-inline">
                        <option value="P" {if $config['pdf_paper_size'] eq "P"}selected {/if}>A4</option>
                        <option value="L" {if $config['pdf_paper_size'] eq "L"}selected {/if}>Letter</option>
                    </select>
                    {$lang['Choose the paper format to use when generating PDF files.']}
                </td>
            </tr>

            <tr><td class="fieldlabel">{$lang['PDF Font Family']}</td><td class="fieldarea">
                    <label class="radio-inline">
                        <input type="radio" name="pdf_font_family" value="courier" {if $config['pdf_font_family'] eq "courier"} checked="" {/if} >
                        Courier
                    </label>
                    <label class="radio-inline">
                        <input type="radio" name="pdf_font_family" value="freesans" {if $config['pdf_font_family'] eq "freesans"} checked="" {/if} >
                        Freesans
                    </label>
                    <label class="radio-inline">
                        <input type="radio" name="pdf_font_family" value="helvetica" {if $config['pdf_font_family'] eq "helvetica"} checked="" {/if} >
                        Helvetica
                    </label>
                    <label class="radio-inline">
                        <input type="radio" name="pdf_font_family" value="times" {if $config['pdf_font_family'] eq "times"} checked="" {/if} >
                        Times
                    </label>
                    <label class="radio-inline">
                        <input type="radio" name="pdf_font_family" value="dejavusans" {if $config['pdf_font_family'] eq "dejavusans"} checked="" {/if} >
                        Dejavusans
                    </label>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Enable for client']}</td>
                <td class="fieldarea">
                    <select name="enable_for_client" class="form-control select-inline">
                        <option value="yes" {if $config['enable_for_client'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['enable_for_client'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$lang['Enable or disable for client.']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Add item in Billing menu']}</td>
                <td class="fieldarea">
                    <select name="add_item_in_billing_menu" class="form-control select-inline">
                        <option value="yes" {if $config['add_item_in_billing_menu'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['add_item_in_billing_menu'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['Client area Url']}</td>
                <td class="fieldarea">
                    <input type="text" value="{$before_path}/index.php?m=puq_customization&e=account_statement" class="form-control" style="width: 100%;" readonly="readonly">
                </td>
            </tr>
            </tbody>
        </table>
    </div>

    <div class="btn-container">
        <button type="submit" name="submit" value="submit" class="btn btn-primary"> {$lang['Save Changes']}</button>
    </div>
</form>