<div class="puq_timer">
    <div class="puq_timer_items">
        <div class="puq_timer_item puq_timer_days">00</div>
        <div class="puq_timer_item puq_timer_dots">:</div>
        <div class="puq_timer_item puq_timer_hours">00</div>
        <div class="puq_timer_item puq_timer_dots">:</div>
        <div class="puq_timer_item puq_timer_minutes">00</div>
        <div class="puq_timer_item puq_timer_dots">:</div>
        <div class="puq_timer_item puq_timer_seconds">00</div>
    </div>
    <div class="puq_timer_result"></div>
</div>

{literal}
<script>
    document.addEventListener('DOMContentLoaded', function () {
        const unixTimestamp = Math.round(Date.now());
        const deadline = new Date(unixTimestamp + {/literal}{$difference}{literal} * 1000);

        let timerId = null;

        function declensionNum(num, words) {
            return words[(num % 100 > 4 && num % 100 < 20) ? 2 : [2, 0, 1, 1, 1, 2][(num % 10 < 5) ? num % 10 : 5]];
        }

        function countdownTimer() {
            const diff = deadline - new Date();
            if (diff <= 0) {
                clearInterval(timerId);
                document.querySelector('.puq_timer .puq_timer_result').textContent = "{/literal}{$time_counter_end_text}{literal}";
            }
            const days = diff > 0 ? Math.floor(diff / 1000 / 60 / 60 / 24) : 0;
            const hours = diff > 0 ? Math.floor(diff / 1000 / 60 / 60) % 24 : 0;
            const minutes = diff > 0 ? Math.floor(diff / 1000 / 60) % 60 : 0;
            const seconds = diff > 0 ? Math.floor(diff / 1000) % 60 : 0;
            $days.textContent = days < 10 ? '0' + days : days;
            $hours.textContent = hours < 10 ? '0' + hours : hours;
            $minutes.textContent = minutes < 10 ? '0' + minutes : minutes;
            $seconds.textContent = seconds < 10 ? '0' + seconds : seconds;
            $days.dataset.title = declensionNum(days, ['{/literal}{$days}{literal}', '{/literal}{$days}{literal}', '{/literal}{$days}{literal}']);
            $hours.dataset.title = declensionNum(hours, ['{/literal}{$hours}{literal}', '{/literal}{$hours}{literal}', '{/literal}{$hours}{literal}']);
            $minutes.dataset.title = declensionNum(minutes, ['{/literal}{$minutes}{literal}', '{/literal}{$minutes}{literal}', '{/literal}{$minutes}{literal}']);
            $seconds.dataset.title = declensionNum(seconds, ['{/literal}{$seconds}{literal}', '{/literal}{$seconds}{literal}', '{/literal}{$seconds}{literal}']);
        }

        const $days = document.querySelector('.puq_timer_days');
        const $hours = document.querySelector('.puq_timer_hours');
        const $minutes = document.querySelector('.puq_timer_minutes');
        const $seconds = document.querySelector('.puq_timer_seconds');
        countdownTimer();
        timerId = setInterval(countdownTimer, 1000);
    });
</script>{/literal}


